Developers
API ReferenceAssigned Project User

Assign user to project

PATCH
/project/projects/{projectId}/assigned-project-users/{userId}

Assign user to project

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

projectId*string

Project identifier

userId*string

Project user identifier

Request Body

The updated AssignedProjectUser resource

  1. body
role?string
Value in"none""pm-passive""pm-active""pm-operational"
hourlyRate?number
Formatfloat
Default0
canReportTime?number
Formatboolean

Response Body

AssignedProjectUser resource updated

  1. response
id?string
Formatuuid
projectUser?
role?string
Value in"none""pm-passive""pm-active""pm-operational"
hourlyRate?float|null
canReportTime?boolean
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/projects/string/assigned-project-users/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "projectUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": true,    "phoneNumber": "string",    "jobPositionName": "string",    "hourlyRate": null,    "isExternal": true,    "decorator": "string"  },  "role": "none",  "hourlyRate": null,  "canReportTime": true}